{% extends 'base.html.twig' %}
{% form_theme form_search 'bootstrap_4_layout.html.twig' %}
{% block title %}CentreExamen index{% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_centre" url="{{ path('centre_examen_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouvel centre d'examen"> Ajouter</span></button>
        </a>
        <a href="{{ path('centre_list') }}" target="_blank">
            <button type="button" class="btn btn-success"><span
                        class="glyphicon glyphicon-print" title="Imprimer liste des centres d'examens"> Imprimer</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Recherche Centre Examen </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form_search) }}
            <div class="row">
                <div class="col-md-4">
                    {{ form_row(form_search.code_centre,{'value':app.request.get('code_centre')}) }}
                </div>
                <div class="col-md-4">
                    {{ form_row(form_search.capacite,{'value':app.request.get('capacite')}) }}
                </div>

                <div class="col-md-2" style="margin-top: 25px;">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-search" title="Chercher"></span>
                    </button>
                    <a href="{{ path('centre_examen_index') }}" class="btn btn-danger"><span
                                class="glyphicon glyphicon-refresh" title="Actualiser"></span></a>
                </div>
            </div>
            {{ form_end(form_search) }}
        </div>
    </div>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Centres d'examens </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Code_centre</th>
                    <th>Capacite</th>
                    <th>Libelle_centre</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for centre_examan in centre_examens %}
                    <tr>


                        <td>{{ centre_examan.codeCentre }}</td>
                        <td>{{ centre_examan.capacite }}</td>
                        <td>{{ centre_examan.libelleCentre }}</td>

                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_centre"
                                                url="{{ path('centre_examen_show', {'id': centre_examan.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_centre"
                                                url="{{ path('centre_examen_edit', {'id': centre_examan.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier centre d'examen"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('centre_examen/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="6">Pas d'enregesitrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(centre_examens) }}
            </div>
            {#fenetre modale D'#}

            <div class="modal fade" id="modalCentre" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_centre"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block mesJavascripts %}
    <script>
        $('body').on('click', '.btn_new_centre', function (event) {
            $('#modalCentre').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_centre').html('Ajouter nouvelle centre');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_centre', function (event) {
            $('#modalCentre').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_centre').html('Modifier centre');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_centre', function (event) {
            $('#modalCentre').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_centre').html('Info centre');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_centre', function (event) {
            var name_centre = $(this).attr('name_centre');
            var id_centre = $(this).attr('id_centre');
            $('#modalCentre').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_centre').html('Supprimer centre');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la centre: <b>' + name_centre + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_centre" onclick="confirmer_delete_centre(' + id_centre + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_centre(id_centre) {
            $('#form_delete_centre_' + id_centre).submit();
        }

        $('body').on('click', '.save_centre', function (event) {

            var form = $('#form_add_centre');
            var formData = new FormData(document.getElementById("form_add_centre"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_centre').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalCentre').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_centre', function (event) {

            var form = $('#form_add_centre');
            var formData = new FormData(document.getElementById("form_add_centre"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_centre').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalCentre').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_centre(name_centre) {
            $('#modalCentre').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_centre').html('Supprimer centre');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la centre: ' + name_centre);
            return false;
        }
    </script>

{% endblock %}